/**
 * 封装的异步请求处理函数
 * 使用方法为:
 * request('接口名称',{key:value},'请求方式(默认为GET)')
 * .then(res=>{console.log(res)})
 */
import { getToken, removeToken } from "./auth";
const baseUrl = 'http://47.100.35.222:8080/jeecg-boot';
async function request(mehtod, params, type = 'GET') {
  //创建一个名为request请求的方法函数
  const token = getToken()
  // if (!token) {
	 //  uni.navigateTo({
	 //  	url:'/pages/login/index1'
	 //  })
	 //  return
  // }
  let header = {
    //设置请求头信息
    'X-Access-Token': token,
    'X-Requested-With': 'XMLHttpRequest',
    "Accept": "application/json",
    "Content-Type": "application/json; charset=UTF-8"
  };
  let http = {
    url: baseUrl + mehtod,
    data: params,
    method: type.toUpperCase(),
    header: header
  };
  let promise = new Promise((resolve, reject) => {
    uni.request(http).then(res => {
      let newdata = res[1].data; // if (newdata.code == 403) {
      if (newdata == -1) {
        //如果错误码为 -1 提示
        uni.showToast({
          title: res[1].data.msg,
          icon: 'none'
        });
      }
      resolve(res[1].data);
    }).catch(err => {
		if (err.statusCode === 401) {
			uni.redirectTo({
				url: '/pages/login/index1?status=' + 1
			})
		}
      reject(err);
      console.log(err);
    });
  });
  return promise;
}
export default request